{% extends 'dashboard/dashboard_content.html' %}

{% block title %}
    Edit Application
{% endblock %}

{% block rightPane %}
    <div class="x_panel">
        <div class="x_title">
            <h2>
                    <i class="ionicons ion-android-person-add"></i>
                Edit Application
            </h2>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12">
            <form method="POST" action="" class="form-horizontal">{% csrf_token %}              
                                <div class="clearfix">
                                    <div class="col-md-1">
                                        <br>
                                    </div>
                                    <div class="col-md-11" style="background-color: #84cec7">
                                        
                                                <ul class="nav navbar-left panel_toolbox">
                                                    <li>
                                                        <strong>{{ applIn.student }}</strong>
                                                    </li>
                                                </ul>
                                        </a>
                                                    <div class="form-group">
                            <div><br /><br />
                                <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label"
                                >Are you differently abled(If yes,specify details)</label></div>

                            <div class="col-md-6 col-sm-6 col-xs-12">

                                <input type="text" name="phyabdes" class="form-control" value="{{ applIn.diffAbled }}" required/>

                            </div>
                        </div>
                        <div class="form-group">
                            <div>
                                <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label"
                                >Are you having deceased parents(If yes,specify details)</label></div>
                            <div class="col-md-6 col-sm-6 col-xs-12">

                                <select name="disdes" type="number" class="form-control" >
                                    <option value=""
                                             {% if applIn.disParent == '' %}
                                           style="font-style:italic"
                                            selected
                                           {% endif %}
                                             >None</option>
                                    <option value="1" 
                                           {% if applIn.disParent == "1" %}
                                           selected
                                           {% endif %}
                                           >One parent
                                           </option>
                                    <option value="2"
                                            {% if applIn.disParent == "2" %}
                                            selected
                                           {% endif %}
                                           >Both parent
                                           </option>
                                </select>


                            </div>
                        </div>

                        <div class="form-group">


                            <div>
                                <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label"
                                >Achievements in sports</label></div>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <select name="levelsp" class="form-control"
                                        >
                                    <option selected value=""
                                           {% if applIn.sport == '' %}
                                           style="background-color:green" selected
                                           {% endif %} 
                                           >None</option>
                                    {% for level in levels %}
                                        <option value="{{ level }}"
                                        {% if applIn.sport == level %}
                                           style="background-color:green" selected
                                           {% endif %} 
                                        >{{ level }}</option>
                                    {% endfor %}
                                </select>
                            </div>
                        </div>

                        <div class="form-group">
                            <div>
                                <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label"
                                >CGPA</label></div>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <input type="number" step="0.01" value="{{ applIn.cgpa }}" name="cgpa" class="form-control" max="10" required/>
                            </div>
                        </div><br /><br />
                        <div class="form-group">

                            <div>
                                <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label"
                                >Enter the number of arrears(Current Sem)</label></div>

                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <input type="number" min="0" name="noOfArrears" value="{{ applIn.noOfArrears }}" class="form-control" required/>
                            </div>
                        </div>
                        <div class="form-group">
                            <div>
                                <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label"
                                >Projects done</label></div>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <select name="placepr" id="placepr" class="form-control"
                                        >
                                    <option selected value=""
                                            {% if applIn.project == '' %}
                                           style="color:green" selected
                                           {% endif %} 
                                              >None</option>
                                    {% for place in places %}
                                        <option value="{{ place }}"
                                             {% if applIn.project == place %}
                                           style="color:green" selected
                                           {% endif %} 
                                             >{{ place }}</option>
                                    {% endfor %}
                                </select>
                            </div>
                        </div>
                        <div class="form-group">

                            <div>
                                <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label"
                                >Patents received</label></div>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <select name="stagepat" class="form-control"
                                        >
                                    <option selected value=""
                                              {% if applIn.patent == '' %}
                                           style="color:green" selected
                                           {% endif %} 
                                               >None</option>
                                    {% for stage in stages %}
                                        <option value="{{ stage }}"
                                             {% if applIn.patent == stage %}
                                           style="color:green" selected
                                           {% endif %} 
                                             >{{ stage }}</option>
                                    {% endfor %}
                                </select>
                            </div>
                        </div>
                        <div class="form-group">

                            <div>
                                <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label"
                                >Paper presentations done</label></div>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <select name="placep" class="form-control"
                                        >
                                    <option selected value=""
                                                    {% if applIn.ppt == '' %}
                                           style="color:green" selected
                                           {% endif %}
                                                    >None</option>
                                    {% for place in places %}
                                        <option value="{{ place }}"
                                                {% if applIn.ppt == place %}
                                           style="color:green" selected
                                           {% endif %}
                                                >{{ place }}</option>
                                    {% endfor %}
                                </select>
                            </div>
                        </div>
                         <div class="form-group">
                            <div>
                                <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label"
                                >Role of Club Activity</label></div>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <select name="role" class="form-control"
                                        >
                                    <option selected value=""
                                                    {% if applIn.role == '' %}
                                           style="color:green" selected
                                           {% endif %}
                                                    >None</option>
                                    {% for role in other %}
                                        <option value="{{ role }}"
                                                {% if applIn.role == role %}
                                           style="color:green" selected
                                           {% endif %}
                                                >{{ role }}</option>
                                    {% endfor %}
                                </select>
                            </div>
                        </div>
                        <div class="form-group">
                            <div>
                                <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label"
                                >Number of Internships Gone</label></div>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <input type="number" min="0" name="internships" value="{{ applIn.internship }}" class="form-control" required/>
                            </div>
                        </div>
                        
                       
                        
                        <div class="form-group">
                            <div>
                                <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label"
                                >Conduct</label></div>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <input type="number" min="0" max="10" name="conduct" value="{{ applIn.conduct }}" class="form-control" required/>
                            </div>
                        </div>
                        <div class="form-group">
                            <div>
                                <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label"
                                >Financial Condition Score</label></div>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <input type="number" min="0" name="finScore" {% if finFilled %} value="{{ applIn.financial }}" {% endif %} 
                                        class="form-control" required/>
                            </div>
                        </div>
                        <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-5">
                            <button type="submit" class="btn brn-lg btn-success"
                                    value="Save" name="apply_scholarship">Update
                            </button>
                        </div>
                        <button type="button" class="btn1 btn1-success" data-toggle="modal" data-target="#confirm">
                            DisApprove
                        </button>
                            <div class="modal" id="confirm" tabindex="-1" role="dialog"
                             aria-labelledby="myModalLabel1" aria-hidden="true">
                            <div class="modal-dialog" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                        <h4 class="modal-title" id="myModalLabel1"><b>Confirm DisApproval</b></h4>
                                    </div>
                                    <div class="modal-body">
                                        <h4>
                                            <ul>
                                                <li>This action can't be reversed</li>
                                                <br>
                                                <li>Are you want to disapprove the form?</li>
                                            </ul>
                                        </h4>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn1 btn1-secondary" data-dismiss="modal">Close
                                        </button>
                                        <button onclick="location.href='{% url 'close_application' application_id=applIn.pk %}'" class="btn1 btn-dark-green">DisApprove
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </div>
</div>
                    </form>
</div>
</form>
        </div>
    </div>

{% endblock %}
